org.apache.lucene.queryParser.surround.query

## Class NotQuery

- java.lang.Object
- - org.apache.lucene.queryParser.surround.query.SrndQuery
  - - org.apache.lucene.queryParser.surround.query.ComposedQuery
    - - org.apache.lucene.queryParser.surround.query.NotQuery

- All Implemented Interfaces:
    java.lang.Cloneable

      public class NotQuery
      extends ComposedQuery

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `theEmptyLcnQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotQuery(java.util.List queries, java.lang.String opName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.search.Query` | `makeLuceneQueryFieldNoBoost(java.lang.String fieldName, BasicQueryFactory qf)`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.ComposedQuery

      `getBracketClose, getBracketOpen, getNrSubQueries, getOperatorName, getPrefixSeparator, getSubQueriesIterator, getSubQuery, infixToString, isFieldsSubQueryAcceptable, isOperatorInfix, makeLuceneSubQueriesField, prefixToString, recompose, toString`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotQuery

          public NotQuery(java.util.List queries,
                          java.lang.String opName)

  - ### Method Detail

    - #### makeLuceneQueryFieldNoBoost

          public org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(java.lang.String fieldName,
                                                                            BasicQueryFactory qf)

      Specified by:
        `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.